From a7ddf18d2c89005ad6035cf1f40387ca7e949567 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 2 Dec 2020 12:47:03 +0100
Subject: [PATCH 2/2] doc: Add stronger deprecation language to SELECT INTO
 reference page

Even though SELECT INTO (not ecpg, not PL/pgSQL) is widely recognized
among insiders to be deprecated, and there are some source code
comments about this, the SELECT INTO reference page only contains
vague language like "recommended".  This change puts a deprecation
notice right at the top.
---
 doc/src/sgml/ref/select_into.sgml | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/src/sgml/ref/select_into.sgml b/doc/src/sgml/ref/select_into.sgml
index 7b327d9eee..b37ac345b0 100644
--- a/doc/src/sgml/ref/select_into.sgml
+++ b/doc/src/sgml/ref/select_into.sgml
@@ -42,6 +42,12 @@
  <refsect1>
   <title>Description</title>
 
+  <para>
+   This command is deprecated.  Use <link
+   linkend="sql-createtableas"><command>CREATE TABLE AS</command></link>
+   instead.
+  </para>
+
   <para>
    <command>SELECT INTO</command> creates a new table and fills it
    with data computed by a query.  The data is not returned to the
-- 
2.29.2

